additionalProperties:
  formFields:
    - child:
        default: ""
        envKey: PANEL_DB_HOST
        required: true
        type: service
      default: postgresql
      envKey: PANEL_DB_TYPE
      labelEn: Database Service
      labelZh: 数据库服务
      required: true
      type: apps
      values:
        - label: PostgreSQL
          value: postgresql
        - label: MySQL
          value: mysql
        - label: MariaDB
          value: mariadb
      label:
        en: Database Service
        ja: データベースサービス
        ms: Perkhidmatan Pangkalan Data
        pt-br: Serviço de Banco de Dados
        ru: Сервис баз данных
        ko: 데이터베이스 서비스
        zh-hant: 資料庫服務
        zh: 数据库服务
    - default: dwz
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: Database
        ja: データベース
        ms: Pangkalan Data
        pt-br: Banco de Dados
        ru: База данных
        ko: 데이터베이스
        zh-hant: 資料庫
        zh: 数据库
    - default: dwz
      envKey: PANEL_DB_USER
      random: true
      required: true
      rule: paramCommon
      type: text
      labelEn: Database User
      labelZh: 数据库用户
      label:
        en: Database User
        ja: データベースユーザー
        ms: Pengguna Pangkalan Data
        pt-br: Usuário do Banco de Dados
        ru: Пользователь базы данных
        ko: 데이터베이스 사용자
        zh-hant: 資料庫用戶
        zh: 数据库用户
    - default: dwz
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Database User Password
      labelZh: 数据库用户密码
      random: true
      required: true
      type: password
      label:
        en: Database Password
        ja: データベースのパスワード
        ms: Kata Laluan Pangkalan Data
        pt-br: Senha do Banco de Dados
        ru: Пароль базы данных
        ko: 데이터베이스 비밀번호
        zh-hant: 資料庫密碼
        zh: 数据库密码
    - default: ""
      edit: true
      envKey: PANEL_REDIS_HOST
      key: redis
      labelEn: Redis Service
      labelZh: 缓存服务服务
      required: true
      type: service
      label:
        en: Redis Service
        ja: Redis サービス
        ms: Perkhidmatan Redis
        pt-br: Serviço Redis
        ru: Сервис Redis
        ko: Redis 서비스
        zh-Hant: Redis 服務
        zh: Redis 服务
    - default: ""
      edit: true
      envKey: PANEL_REDIS_ROOT_PASSWORD
      labelEn: Redis service password
      labelZh: Redis 服务密码
      required: true
      type: password
      label:
        en: Redis service password
        ja: Redis サービスのパスワード
        ms: Kata laluan perkhidmatan Redis
        pt-br: Senha do serviço Redis
        ru: Пароль службы Redis
        ko: Redis 서비스 비밀번호
        zh-Hant: Redis 服務密碼
        zh: Redis 服务密码
    - default: 8081
      edit: true
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Port
      labelZh: 端口
      label:
        en: Port
        ja: ポート
        ms: Pelabuhan
        pt-br: Porta
        ru: Порт
        ko: 포트
        zh-hant: 埠
        zh: 端口
      required: true
      rule: paramPort
      type: number
    - default: Asia/Shanghai
      edit: true
      envKey: TIME_ZONE
      labelEn: Time zone
      labelZh: 时区
      label:
        en: Time zone
        ja: タイムゾーン
        ms: Zon masa
        pt-br: Fuso horário
        ru: Часовой пояс
        ko: 시간대
        zh: 时区
        zh-Hant: 時區
      required: true
      type: text
